<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>CLI_Cfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CLI_Cfg_t Struct Reference<div class="ingroups"><a class="el" href="group___c_l_i___u_t_i_l.html">CLI Utility</a> &raquo; <a class="el" href="group___c_l_i___u_t_i_l___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">CLI Utility External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>CLI configuration.  
 <a href="struct_c_l_i___cfg__t.html#details">More...</a></p>

<p><code>#include &lt;utils/cli/cli.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a466d8dc43476a17a29507055fd3ba692"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a466d8dc43476a17a29507055fd3ba692"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_i___cfg__t.html#a466d8dc43476a17a29507055fd3ba692">cliPrompt</a></td></tr>
<tr class="memdesc:a466d8dc43476a17a29507055fd3ba692"><td class="mdescLeft">&#160;</td><td class="mdescRight">CLI Prompt string (if any to be displayed) <br /></td></tr>
<tr class="separator:a466d8dc43476a17a29507055fd3ba692"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab99630421352e9195c75eb1df738d004"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab99630421352e9195c75eb1df738d004"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_i___cfg__t.html#ab99630421352e9195c75eb1df738d004">cliBanner</a></td></tr>
<tr class="memdesc:ab99630421352e9195c75eb1df738d004"><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional banner string if any to be displayed on startup of the CLI. <br /></td></tr>
<tr class="separator:ab99630421352e9195c75eb1df738d004"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbb13374d6d9b65cd8b54ab675249c46"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbb13374d6d9b65cd8b54ab675249c46"></a>
UART_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_i___cfg__t.html#adbb13374d6d9b65cd8b54ab675249c46">cliUartHandle</a></td></tr>
<tr class="memdesc:adbb13374d6d9b65cd8b54ab675249c46"><td class="mdescLeft">&#160;</td><td class="mdescRight">UART Command Handle used by the CLI. <br /></td></tr>
<tr class="separator:adbb13374d6d9b65cd8b54ab675249c46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afceff556435cee60ab16107d52b31835"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afceff556435cee60ab16107d52b31835"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_i___cfg__t.html#afceff556435cee60ab16107d52b31835">enableMMWaveExtension</a></td></tr>
<tr class="memdesc:afceff556435cee60ab16107d52b31835"><td class="mdescLeft">&#160;</td><td class="mdescRight">The CLI has an mmWave extension which can be enabled by this field. The extension supports the well define mmWave link CLI command(s) In order to use the extension the application should have initialized and setup the mmWave. <br /></td></tr>
<tr class="separator:afceff556435cee60ab16107d52b31835"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae853d16c3176659f55576228c3108acf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae853d16c3176659f55576228c3108acf"></a>
MMWave_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_i___cfg__t.html#ae853d16c3176659f55576228c3108acf">mmWaveHandle</a></td></tr>
<tr class="memdesc:ae853d16c3176659f55576228c3108acf"><td class="mdescLeft">&#160;</td><td class="mdescRight">The mmWave control handle which needs to be specified if the mmWave extensions are being used. The CLI Utility works only in the FULL configuration mode. If the handle is opened in MINIMAL configuration mode the CLI mmWave extension will fail. <br /></td></tr>
<tr class="separator:ae853d16c3176659f55576228c3108acf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad541c61e9322c58a59773331950fd3c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad541c61e9322c58a59773331950fd3c7"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_i___cfg__t.html#ad541c61e9322c58a59773331950fd3c7">taskPriority</a></td></tr>
<tr class="memdesc:ad541c61e9322c58a59773331950fd3c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Task Priority: The CLI executes in the context of a task which executes with this priority. <br /></td></tr>
<tr class="separator:ad541c61e9322c58a59773331950fd3c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acab57d5decb782548d1a2b72947b4444"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acab57d5decb782548d1a2b72947b4444"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_i___cfg__t.html#acab57d5decb782548d1a2b72947b4444">usePolledMode</a></td></tr>
<tr class="memdesc:acab57d5decb782548d1a2b72947b4444"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag which determines if the the CLI Write should use the UART in polled or blocking mode. <br /></td></tr>
<tr class="separator:acab57d5decb782548d1a2b72947b4444"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26775782e797b6c70806b5d4927eff35"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a26775782e797b6c70806b5d4927eff35"></a>
<a class="el" href="group___c_l_i___u_t_i_l___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga80b24e8a698a1c807235abc76d0a27d3">CLI_CmdTableEntry</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_i___cfg__t.html#a26775782e797b6c70806b5d4927eff35">tableEntry</a> [<a class="el" href="group___c_l_i___u_t_i_l___e_x_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n.html#gab31e3fb23ca0f47c369749396a9b6ce6">CLI_MAX_CMD</a>]</td></tr>
<tr class="memdesc:a26775782e797b6c70806b5d4927eff35"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the table which specifies the supported CLI commands. <br /></td></tr>
<tr class="separator:a26775782e797b6c70806b5d4927eff35"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>CLI configuration. </p>
<p>This is the configuration structure which is used to initialize and open the CLI module. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>utils/cli/<a class="el" href="cli_8h.html">cli.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
